#
# Cookbook Name:: sqlserver
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#
include_recipe 'ms_dotnet35'
include_recipe 'ec2helper'
include_recipe 'mssqlserver::mount'

template "#{node[:sqlserver][:ini_file_template_source]}" do
  source "#{node[:sqlserver][:ini_file_template_source]}"
end

execute 'Install SQL' do
	timeout 7200
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/setup.exe /q /IAcceptSQLServerLicenseTerms=#{node[:sqlserver][:IAcceptSQLServerLicenseTerms]} /ConfigurationFile=#{node[:sqlserver][:ini_file_template_source]} /SAPWD=#{node[:sqlserver][:SAPWD]}"}
	creates "#{node[:sqlserver][:SQLTEMPDBDIR]}/tempdb.mdf"
end